wxWidgets: interface/wx/ustring.h File Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Functions
ustring.h File Reference

## Classes
class | wxUString
| wxUString is a class representing a Unicode character string where each character is stored using a 32-bit value. More...

## Functions
wxUString | operator+ (const wxUString &s1, const wxUString &s2)
| Concatenation operator.
bool | operator== (const wxUString &s1, const wxUString &s2)
| Equality operator.
bool | operator!= (const wxUString &s1, const wxUString &s2)
| Inequality operator.
bool | operator< (const wxUString &s1, const wxUString &s2)
| Comparison operator.
bool | operator> (const wxUString &s1, const wxUString &s2)
| Comparison operator.
bool | operator<= (const wxUString &s1, const wxUString &s2)
| Comparison operator.
bool | operator>= (const wxUString &s1, const wxUString &s2)
| Comparison operator.

## Function Documentation

bool operator!= | ( | const wxUString & | s1,
|  | const wxUString & | s2
| ) |  |
| inline

Inequality operator.

wxUString additionally provides overloads for wxString, C string, UTF-16 strings, 32-bit strings, char buffers, single characters etc.

wxUString operator+ | ( | const wxUString & | s1,
|  | const wxUString & | s2
| ) |  |
| inline

Concatenation operator.

wxUString additionally provides overloads for wxString, C string, UTF-16 strings, 32-bit strings, char buffers, single characters etc.

bool operator< | ( | const wxUString & | s1,
|  | const wxUString & | s2
| ) |  |
| inline

Comparison operator.

wxUString additionally provides overloads for wxString, C string, UTF-16 strings, 32-bit strings, char buffers, single characters etc.

bool operator<= | ( | const wxUString & | s1,
|  | const wxUString & | s2
| ) |  |
| inline

Comparison operator.

wxUString additionally provides overloads for wxString, C string, UTF-16 strings, 32-bit strings, char buffers, single characters etc.

bool operator== | ( | const wxUString & | s1,
|  | const wxUString & | s2
| ) |  |
| inline

Equality operator.

wxUString additionally provides overloads for wxString, C string, UTF-16 strings, 32-bit strings, char buffers, single characters etc.

bool operator> | ( | const wxUString & | s1,
|  | const wxUString & | s2
| ) |  |
| inline

Comparison operator.

wxUString additionally provides overloads for wxString, C string, UTF-16 strings, 32-bit strings, char buffers, single characters etc.

bool operator>= | ( | const wxUString & | s1,
|  | const wxUString & | s2
| ) |  |
| inline

Comparison operator.

wxUString additionally provides overloads for wxString, C string, UTF-16 strings, 32-bit strings, char buffers, single characters etc.